## PkCategory

PkCategory — Category object

## Functions

PkCategory * | pk_category_new ()
const gchar * | pk_category_get_parent_id ()
void | pk_category_set_parent_id ()
const gchar * | pk_category_get_id ()
void | pk_category_set_id ()
const gchar * | pk_category_get_name ()
void | pk_category_set_name ()
const gchar * | pk_category_get_summary ()
void | pk_category_set_summary ()
const gchar * | pk_category_get_icon ()
void | pk_category_set_icon ()

## Description

This GObject represents a category in the group system.

## Functions

### pk_category_new ()

    PkCategory *
    pk_category_new (void);

#### Returns

a new PkCategory object.

Since: 0.5.4

### pk_category_get_parent_id ()

    const gchar *
    pk_category_get_parent_id (PkCategory *category);

Gets the parent category id.

#### Parameters

category | The PkCategory |

#### Returns

the string value, or `NULL` for unset.

Since: 0.6.2

### pk_category_set_parent_id ()

    void
    pk_category_set_parent_id (PkCategory *category,
                               const gchar *parent_id);

Sets the parent category id.

#### Parameters

category | The PkCategory |
parent_id | the new value |

Since: 0.6.2

### pk_category_get_id ()

    const gchar *
    pk_category_get_id (PkCategory *category);

Gets the id specific to this category.

#### Parameters

category | The PkCategory |

#### Returns

the string value, or `NULL` for unset.

Since: 0.6.2

### pk_category_set_id ()

    void
    pk_category_set_id (PkCategory *category,
                        const gchar *cat_id);

Sets the id specific to this category.

#### Parameters

category | The PkCategory |
cat_id | the new value |

Since: 0.6.2

### pk_category_get_name ()

    const gchar *
    pk_category_get_name (PkCategory *category);

Gets the name.

#### Parameters

category | The PkCategory |

#### Returns

the string value, or `NULL` for unset.

Since: 0.6.2

### pk_category_set_name ()

    void
    pk_category_set_name (PkCategory *category,
                          const gchar *name);

Sets the name.

#### Parameters

category | The PkCategory |
name | the new value |

Since: 0.6.2

### pk_category_get_summary ()

    const gchar *
    pk_category_get_summary (PkCategory *category);

Gets the summary.

#### Parameters

category | The PkCategory |

#### Returns

the string value, or `NULL` for unset.

Since: 0.6.2

### pk_category_set_summary ()

    void
    pk_category_set_summary (PkCategory *category,
                             const gchar *summary);

Sets the summary.

#### Parameters

category | The PkCategory |
summary | the new value |

Since: 0.6.2

### pk_category_get_icon ()

    const gchar *
    pk_category_get_icon (PkCategory *category);

Gets the icon filename.

#### Parameters

category | The PkCategory |

#### Returns

the string value, or `NULL` for unset.

Since: 0.6.2

### pk_category_set_icon ()

    void
    pk_category_set_icon (PkCategory *category,
                          const gchar *icon);

Sets the icon filename.

#### Parameters

category | The PkCategory |
icon | the new value |

Since: 0.6.2